<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@datashaper/react](./react.md) &gt; [useDropdownChangeAllHandler](./react.usedropdownchangeallhandler.md)

## useDropdownChangeAllHandler() function

<b>Signature:</b>

```typescript
export declare function useDropdownChangeAllHandler<T extends object | void | unknown>(step: Step<T>, updateFn: (step: Step<T>, optionKeys: (string | number)[]) => void, onChange?: StepChangeFunction<T>): DropdownChangeAllHandler;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  step | Step&lt;T&gt; |  |
|  updateFn | (step: Step&lt;T&gt;, optionKeys: (string \| number)\[\]) =&gt; void |  |
|  onChange | StepChangeFunction&lt;T&gt; | <i>(Optional)</i> |

<b>Returns:</b>

[DropdownChangeAllHandler](./react.dropdownchangeallhandler.md)

